#!/bin/bash

echo "///////////////////////////////////////////////////////////"
echo "DrWeb team was created by Sergey Akhapkin.                 "
echo "ID Antivirus Lab, Saint-Petersburg, 2001                   "
echo "///////////////////////////////////////////////////////////"

if [ $# -lt 2 ];
then
    echo "Usage: $0 unum [unum] servername"
    echo "Example: $0 1 5 11 Olympus"
    exit 1
fi

argc=`expr $# - 1`
argv=( $* )
SERVER=${argv[$argc]}
PROGRAM=./agent
names=( "Berezovsky"\
        "Davydov"\
        "Lepekhin"\
        "Ovsepayn"\
        "Igonin"\
        "Demenco"\
        "Ugarov"\
        "Gorshkov"\
        "Popovich"\
        "Kobelev"\
        "Panov" )    

echo "Server: "$SERVER
echo "Starts players:"
num=0
while [ $num -lt $argc ] ; 
do    
    i=${argv[$num]}
    i=`expr $i - 1`
    cmdline="$PROGRAM -n ${names[$i]} -h $SERVER"
    if [ $i = 0 ];
    then
        $cmdline -g &
    else
        $cmdline &
    fi
    num=`expr $num + 1`
done
echo "Done."
